getProbeInfo {xps} | R Documentation

## Get Probe Information

### Description

Get GeneChip probe information from root scheme file.

### Usage

    getProbeInfo(rootfile)

### Arguments

`rootfile` | name of ROOT scheme file, including full path.

### Details

Extracts GeneChip probe information directly from `ROOT` scheme file `rootfile`.

### Value

a `list` with parameters:

`nrows` | physical number of rows in the array.
`ncols` | physical number of columns in the array.
`nprobes` | number of probes on the array.
`ncontrols` | number of controls on the array.
`ngenes` | number of genes on the array.
`nunits` | number of units on the array.
`nprobesets` | umber of probesets on the array.
`naffx` | number of AFFX controls on the array.

### Author(s)

Christian Stratowa

### Examples

    getProbeInfo(paste(.path.package("xps"),"schemes/SchemeTest3.root",sep="/"))

[Package xps version 1.2.10 Index]